
package ch.hslu.appe.inventory.webservice;

import javax.xml.bind.JAXBElement;
import javax.xml.bind.annotation.XmlElementDecl;
import javax.xml.bind.annotation.XmlRegistry;
import javax.xml.namespace.QName;


/**
 * This object contains factory methods for each 
 * Java content interface and Java element interface 
 * generated in the ch.hslu.appe.inventory.webservice package. 
 * <p>An ObjectFactory allows you to programatically 
 * construct new instances of the Java representation 
 * for XML content. The Java representation of XML 
 * content can consist of schema derived interfaces 
 * and classes representing the binding of schema 
 * type definitions, element declarations and model 
 * groups.  Factory methods for each of these are 
 * provided in this class.
 * 
 */
@XmlRegistry
public class ObjectFactory {

    private final static QName _GetProductsResponse_QNAME = new QName("http://webservice.inventory.appe.hslu.ch/", "getProductsResponse");
    private final static QName _ProductActiveResponse_QNAME = new QName("http://webservice.inventory.appe.hslu.ch/", "productActiveResponse");
    private final static QName _ProductExistsResponse_QNAME = new QName("http://webservice.inventory.appe.hslu.ch/", "productExistsResponse");
    private final static QName _ProductExists_QNAME = new QName("http://webservice.inventory.appe.hslu.ch/", "productExists");
    private final static QName _GetProducts_QNAME = new QName("http://webservice.inventory.appe.hslu.ch/", "getProducts");
    private final static QName _GetActiveProducts_QNAME = new QName("http://webservice.inventory.appe.hslu.ch/", "getActiveProducts");
    private final static QName _GetProduct_QNAME = new QName("http://webservice.inventory.appe.hslu.ch/", "getProduct");
    private final static QName _ProductActive_QNAME = new QName("http://webservice.inventory.appe.hslu.ch/", "productActive");
    private final static QName _GetActiveProductsResponse_QNAME = new QName("http://webservice.inventory.appe.hslu.ch/", "getActiveProductsResponse");
    private final static QName _GetProductResponse_QNAME = new QName("http://webservice.inventory.appe.hslu.ch/", "getProductResponse");

    /**
     * Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: ch.hslu.appe.inventory.webservice
     * 
     */
    public ObjectFactory() {
    }

    /**
     * Create an instance of {@link ProductExists }
     * 
     */
    public ProductExists createProductExists() {
        return new ProductExists();
    }

    /**
     * Create an instance of {@link ProductExistsResponse }
     * 
     */
    public ProductExistsResponse createProductExistsResponse() {
        return new ProductExistsResponse();
    }

    /**
     * Create an instance of {@link ProductActiveResponse }
     * 
     */
    public ProductActiveResponse createProductActiveResponse() {
        return new ProductActiveResponse();
    }

    /**
     * Create an instance of {@link GetProductsResponse }
     * 
     */
    public GetProductsResponse createGetProductsResponse() {
        return new GetProductsResponse();
    }

    /**
     * Create an instance of {@link GetProducts }
     * 
     */
    public GetProducts createGetProducts() {
        return new GetProducts();
    }

    /**
     * Create an instance of {@link GetActiveProducts }
     * 
     */
    public GetActiveProducts createGetActiveProducts() {
        return new GetActiveProducts();
    }

    /**
     * Create an instance of {@link GetProduct }
     * 
     */
    public GetProduct createGetProduct() {
        return new GetProduct();
    }

    /**
     * Create an instance of {@link GetProductResponse }
     * 
     */
    public GetProductResponse createGetProductResponse() {
        return new GetProductResponse();
    }

    /**
     * Create an instance of {@link GetActiveProductsResponse }
     * 
     */
    public GetActiveProductsResponse createGetActiveProductsResponse() {
        return new GetActiveProductsResponse();
    }

    /**
     * Create an instance of {@link ProductActive }
     * 
     */
    public ProductActive createProductActive() {
        return new ProductActive();
    }

    /**
     * Create an instance of {@link ProductDto }
     * 
     */
    public ProductDto createProductDto() {
        return new ProductDto();
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link GetProductsResponse }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://webservice.inventory.appe.hslu.ch/", name = "getProductsResponse")
    public JAXBElement<GetProductsResponse> createGetProductsResponse(GetProductsResponse value) {
        return new JAXBElement<GetProductsResponse>(_GetProductsResponse_QNAME, GetProductsResponse.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link ProductActiveResponse }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://webservice.inventory.appe.hslu.ch/", name = "productActiveResponse")
    public JAXBElement<ProductActiveResponse> createProductActiveResponse(ProductActiveResponse value) {
        return new JAXBElement<ProductActiveResponse>(_ProductActiveResponse_QNAME, ProductActiveResponse.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link ProductExistsResponse }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://webservice.inventory.appe.hslu.ch/", name = "productExistsResponse")
    public JAXBElement<ProductExistsResponse> createProductExistsResponse(ProductExistsResponse value) {
        return new JAXBElement<ProductExistsResponse>(_ProductExistsResponse_QNAME, ProductExistsResponse.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link ProductExists }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://webservice.inventory.appe.hslu.ch/", name = "productExists")
    public JAXBElement<ProductExists> createProductExists(ProductExists value) {
        return new JAXBElement<ProductExists>(_ProductExists_QNAME, ProductExists.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link GetProducts }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://webservice.inventory.appe.hslu.ch/", name = "getProducts")
    public JAXBElement<GetProducts> createGetProducts(GetProducts value) {
        return new JAXBElement<GetProducts>(_GetProducts_QNAME, GetProducts.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link GetActiveProducts }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://webservice.inventory.appe.hslu.ch/", name = "getActiveProducts")
    public JAXBElement<GetActiveProducts> createGetActiveProducts(GetActiveProducts value) {
        return new JAXBElement<GetActiveProducts>(_GetActiveProducts_QNAME, GetActiveProducts.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link GetProduct }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://webservice.inventory.appe.hslu.ch/", name = "getProduct")
    public JAXBElement<GetProduct> createGetProduct(GetProduct value) {
        return new JAXBElement<GetProduct>(_GetProduct_QNAME, GetProduct.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link ProductActive }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://webservice.inventory.appe.hslu.ch/", name = "productActive")
    public JAXBElement<ProductActive> createProductActive(ProductActive value) {
        return new JAXBElement<ProductActive>(_ProductActive_QNAME, ProductActive.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link GetActiveProductsResponse }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://webservice.inventory.appe.hslu.ch/", name = "getActiveProductsResponse")
    public JAXBElement<GetActiveProductsResponse> createGetActiveProductsResponse(GetActiveProductsResponse value) {
        return new JAXBElement<GetActiveProductsResponse>(_GetActiveProductsResponse_QNAME, GetActiveProductsResponse.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link GetProductResponse }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://webservice.inventory.appe.hslu.ch/", name = "getProductResponse")
    public JAXBElement<GetProductResponse> createGetProductResponse(GetProductResponse value) {
        return new JAXBElement<GetProductResponse>(_GetProductResponse_QNAME, GetProductResponse.class, null, value);
    }

}
