package ch.hslu.appe.usermanagement.webservice;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;

/**
 * <p>
 * Java class for addressDto complex type.
 * <p>
 * The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="addressDto">
 *   &lt;complexContent>
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *       &lt;sequence>
 *         &lt;element name="id" type="{http://www.w3.org/2001/XMLSchema}int"/>
 *         &lt;element name="place" type="{http://www.w3.org/2001/XMLSchema}string"/>
 *         &lt;element name="placeId" type="{http://www.w3.org/2001/XMLSchema}int"/>
 *         &lt;element name="street" type="{http://www.w3.org/2001/XMLSchema}string"/>
 *         &lt;element name="type" type="{http://www.w3.org/2001/XMLSchema}int"/>
 *         &lt;element name="zipCode" type="{http://www.w3.org/2001/XMLSchema}int"/>
 *       &lt;/sequence>
 *     &lt;/restriction>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "addressDto", propOrder = { "id", "place", "placeId", "street", "type", "zipCode" })
public class AddressDto {

    protected int id;
    @XmlElement(required = true)
    protected String place;
    protected int placeId;
    @XmlElement(required = true)
    protected String street;
    protected int type;
    protected int zipCode;

    /**
     * Gets the value of the id property.
     */
    public int getId() {
        return id;
    }

    /**
     * Sets the value of the id property.
     */
    public void setId(int value) {
        this.id = value;
    }

    /**
     * Gets the value of the place property.
     * @return possible object is {@link String }
     */
    public String getPlace() {
        return place;
    }

    /**
     * Sets the value of the place property.
     * @param value allowed object is {@link String }
     */
    public void setPlace(String value) {
        this.place = value;
    }

    /**
     * Gets the value of the placeId property.
     */
    public int getPlaceId() {
        return placeId;
    }

    /**
     * Sets the value of the placeId property.
     */
    public void setPlaceId(int value) {
        this.placeId = value;
    }

    /**
     * Gets the value of the street property.
     * @return possible object is {@link String }
     */
    public String getStreet() {
        return street;
    }

    /**
     * Sets the value of the street property.
     * @param value allowed object is {@link String }
     */
    public void setStreet(String value) {
        this.street = value;
    }

    /**
     * Gets the value of the type property.
     */
    public int getType() {
        return type;
    }

    /**
     * Sets the value of the type property.
     */
    public void setType(int value) {
        this.type = value;
    }

    /**
     * Gets the value of the zipCode property.
     */
    public int getZipCode() {
        return zipCode;
    }

    /**
     * Sets the value of the zipCode property.
     */
    public void setZipCode(int value) {
        this.zipCode = value;
    }
    
    @Override
    public String toString() {
        return getStreet() + ", " + getZipCode() + " " + getPlace();
    }
    
    
    

}
